OGRE: Ogre::RTShader::FFPTexturing Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::RTShader::FFPTexturing Class Reference
Optional Components » RTShaderSystem

Texturing sub render state implementation of the Fixed Function Pipeline. More...

`#include <OgreShaderFFPTexturing.h>`

Inheritance diagram for Ogre::RTShader::FFPTexturing:
[legend]

## Public Member Functions
| FFPTexturing ()
| Class default constructor.
void | copyFrom (const SubRenderState &rhs) override
int | getExecutionOrder () const override
const String & | getType () const override
bool | preAddToRenderState (const RenderState *renderState, Pass *srcPass, Pass *dstPass) override
Public Member Functions inherited from Ogre::RTShader::SubRenderState
| SubRenderState ()
| Class default constructor.
virtual | ~SubRenderState ()
| Class destructor.
virtual bool | createCpuSubPrograms (ProgramSet *programSet)
| Create sub programs that represents this sub render state as part of a program set.
SubRenderStateAccessorPtr | getAccessor ()
| Return the accessor object to this sub render state.
SubRenderStateAccessorPtr | getAccessor () const
| Return the accessor object to this sub render state.
SubRenderState & | operator= (const SubRenderState &rhs)
| Operator = declaration.
bool | setParameter (const String &name, const char *value)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
virtual void | updateGpuProgramsParams (Renderable *rend, const Pass *pass, const AutoParamDataSource *source, const LightList *pLightList)
| Update GPU programs parameters before a rendering operation occurs.

## Static Public Attributes
static String | Type

## Detailed Description

Texturing sub render state implementation of the Fixed Function Pipeline.

Implements texture coordinate processing:

See also
  http://msdn.microsoft.com/en-us/library/bb206247.aspx Implements texture blending operation:
  http://msdn.microsoft.com/en-us/library/bb206241.aspx Derives from SubRenderState class.

## Constructor & Destructor Documentation

## ◆ FFPTexturing()

Ogre::RTShader::FFPTexturing::FFPTexturing | ( |  | ) |

Class default constructor.

## Member Function Documentation

## ◆ getType()

const String & Ogre::RTShader::FFPTexturing::getType | ( |  | ) | const
| overridevirtual

See also
  SubRenderState::getType.

Implements Ogre::RTShader::SubRenderState.

Reimplemented in Ogre::RTShader::LayeredBlending.

## ◆ getExecutionOrder()

int Ogre::RTShader::FFPTexturing::getExecutionOrder | ( |  | ) | const
| overridevirtual

See also
  SubRenderState::getType.

Implements Ogre::RTShader::SubRenderState.

## ◆ copyFrom()

void Ogre::RTShader::FFPTexturing::copyFrom | ( | const SubRenderState & | rhs | ) |
| overridevirtual

See also
  SubRenderState::copyFrom.

Implements Ogre::RTShader::SubRenderState.

Reimplemented in Ogre::RTShader::LayeredBlending.

References Ogre::RTShader::SubRenderState::SubRenderState().

## ◆ preAddToRenderState()

bool Ogre::RTShader::FFPTexturing::preAddToRenderState | ( | const RenderState * | renderState,
|  | Pass * | srcPass,
|  | Pass * | dstPass )
| overridevirtual

See also
  SubRenderState::preAddToRenderState.

Reimplemented from Ogre::RTShader::SubRenderState.

## Member Data Documentation

## ◆ Type

String Ogre::RTShader::FFPTexturing::Type
| static

The documentation for this class was generated from the following file:

- OgreShaderFFPTexturing.h